# opentl::core::cvdata::T_MEAS_LIK Class Reference

Structure holding the output, explicit measurement data, collected by the likelihood class.

- a single measurement structure is related to: 1 target, 1 modality (hence also 1 camera), and 1 thread.

More...

List of all members.

## Public Member Functions
std::size_t | getJacSize () const
| Get degree of freedom of Jac matrix.
std::size_t | getNMaxMeas () const
| Get number of allocated data.
std::size_t | getNMeas () const
| Get number of actual measurement data.
void | resizeAll (std::size_t maxMeas_, std::size_t jacSize_)
| Allocate data for variable-size measurements (dynamic data fusion), stacking measurements from different modalities.
void | setNMeas (std::size_t nMeas_)
| Set number of available features (it must be less or equal than the number of allocated features).
| T_MEAS_LIK (std::size_t nMaxMeas_=1, std::size_t jacSize_=0)
## Public Attributes
std::vector< double > | E
| Stacked residual. 1st idx: measurement entry.
std::vector< double > | invCov
| Inverse covariance (purely diagonal) 1st idx: measurement entry.
std::vector< std::vector < double > > | transpJac
| Transposed Jacobian matrix. 1st index: state param; 2nd idx: measurement entry.
std::vector< int > | validity
| Validity flag (0 = invalid; 1 = valid) for each entry inside E. 1st idx: measurement entry.

## Detailed Description

Structure holding the output, explicit measurement data, collected by the likelihood class.

- a single measurement structure is related to: 1 target, 1 modality (hence also 1 camera), and 1 thread.

## Constructor & Destructor Documentation

opentl::core::cvdata::T_MEAS_LIK::T_MEAS_LIK | ( | std::size_t | nMaxMeas_ = `1`,
|  | std::size_t | jacSize_ = `0` |
| ) |  |  | `[inline]`

## Member Function Documentation

std::size_t opentl::core::cvdata::T_MEAS_LIK::getJacSize | ( |  | ) | const`[inline]`

Get degree of freedom of Jac matrix.

std::size_t opentl::core::cvdata::T_MEAS_LIK::getNMaxMeas | ( |  | ) | const`[inline]`

Get number of allocated data.

std::size_t opentl::core::cvdata::T_MEAS_LIK::getNMeas | ( |  | ) | const`[inline]`

Get number of actual measurement data.

void opentl::core::cvdata::T_MEAS_LIK::resizeAll | ( | std::size_t | maxMeas_,
|  | std::size_t | jacSize_ |
| ) |  |  | `[inline]`

Allocate data for variable-size measurements (dynamic data fusion), stacking measurements from different modalities.

void opentl::core::cvdata::T_MEAS_LIK::setNMeas | ( | std::size_t | nMeas_ | ) | `[inline]`

Set number of available features (it must be less or equal than the number of allocated features).

## Member Data Documentation

std::vector<double> opentl::core::cvdata::T_MEAS_LIK::E

Stacked residual. 1st idx: measurement entry.

std::vector<double> opentl::core::cvdata::T_MEAS_LIK::invCov

Inverse covariance (purely diagonal) 1st idx: measurement entry.

std::vector<std::vector<double> > opentl::core::cvdata::T_MEAS_LIK::transpJac

Transposed Jacobian matrix. 1st index: state param; 2nd idx: measurement entry.

std::vector<int> opentl::core::cvdata::T_MEAS_LIK::validity

Validity flag (0 = invalid; 1 = valid) for each entry inside E. 1st idx: measurement entry.